Bug 499377 - The first page of RHN Proxy WebUI installer points to help page which does not talk about WebUI installer
The first page of RHN Proxy WebUI installer points to help page which does no...
Status: CLOSED WONTFIX
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-05-06 09:02 EDT by Jan Pazdziora
Modified: 2014-05-09 06:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webui-proxy installation (80.43 KB, image/png)
2009-08-10 15:42 EDT, Sayli Karmarkar
no flags Details
command-line proxy instructions (101.12 KB, image/png)
2009-08-10 15:42 EDT, Sayli Karmarkar
no flags Details

  None (edit)
Description Jan Pazdziora 2009-05-06 09:02:08 EDT
Description of problem:

The first page of RHN Proxy WebUI installer says:

Install RHN Proxy ServerHelp Icon

Welcome to the Satellite Proxy version 5.3 installer.

Please review the RHN Proxy Installation Guide for more details regarding this installation process.

The "RHN Proxy Installation Guide" is a link to /rhn/help/proxy/rhn530/en-US/s1-installation-install-config.jsp. However, that page talks about command-line installer, not about the WebUI installer.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090501.1 on i386

How reproducible:

Tried once.

Steps to Reproduce:
1. Have Satellite 5.3.0, sync RHN Proxy 5.3 channel.
2. Register system, give it provisioning entitlements.
3. Click Details > Proxy.
4. On You may activate this machine as an RHN Proxy. The following versions are available for activation. RHN Proxy v5.3 page click Activate Proxy button.
5. Page says: Install RHN Proxy ServerHelp Icon

Welcome to the Satellite Proxy version 5.3 installer.

Please review the RHN Proxy Installation Guide for more details regarding this installation process.

This system does not meet the following requirements:

    * The system must support the configfiles.deploy capability
[...]
6. Click the "RHN Proxy Installation Guide" link.
  
Actual results:

No information about this installation process.

Expected results:

Some information about the WebUI installer on the help page, or no link promising info about WebUI installer.

Additional info:
Comment 1 Clifford Perry 2009-05-07 12:09:40 EDT
Approved. The WebUI installer was moved to Appendix section of PRoxy guide. Assigning to Brad to update help link to point to this new location. 


Cliff.
Comment 2 Brad Buckingham 2009-05-07 15:07:35 EDT
master git commit: 33a495168f6398f3c1e6c50b0b58772df8386853
vader git commit: 8399bb665b811602fb28358fb1b5b2d3bd0e4cce

Searched the UI code and the above was the only reference to that link found.

The new link in the doc is something like: 

https://<server>/rhn/help/proxy/rhn530/en-US/ap-guiinstall.jsp
Comment 3 Brad Buckingham 2009-05-20 09:21:02 EDT
Mass move to ON_QA.
Comment 4 Jeff Browning 2009-05-26 13:25:35 EDT
Verified
Comment 5 Sayli Karmarkar 2009-08-10 15:31:25 EDT
fails_qa. The link still seems to point to command line proxy installation guide. Snapshots attached.
Comment 6 Sayli Karmarkar 2009-08-10 15:42:00 EDT
Created attachment 356946 [details]
webui-proxy installation
Comment 7 Sayli Karmarkar 2009-08-10 15:42:44 EDT
Created attachment 356947 [details]
command-line proxy instructions
Comment 12 Clifford Perry 2014-05-09 06:38:03 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.